package com.usky.demo.service;

import com.usky.demo.domain.*;
import com.usky.common.mybatis.core.CrudService;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2024-07-29
 */
public interface QueryInfluxdbDataService extends CrudService<QueryInfluxdbData> {

    // 对外api begin
    LastResultVO queryLastDeviceData(String deviceUUId);

    List<LastResultVO> queryLastDeviceData(LastRequestVO requestVO);

    HistoryResultVO queryHistoryDeviceData(String deviceUUId, String startTime, String endTime);

    List<HistoryResultVO> queryHistoryDeviceData(HistoryRequestVO requestVO);
    // 对外api end

    // 对内接口  begin
    List<LastInnerResultVO> last(LastInnerQueryVO requestVO);
    List<HistorysInnerResultVO> history(HistorysInnerRequestVO requestVO);
    // 对内接口  end
    List<Map<String, Object>> getAllDeviceRealTime();
}
